#include <bits/stdc++.h>

using namespace std;

int main()
{
    string t, s;
    int bra = 0, braut = 0;

    getline(cin, t);
    getline(cin, s);
    int cenz = 0;

    int  x = t.size();
    int y = s.size();

    for(int i = 0;i < x;i++)
        if(t[i] == 'a')
            braut++;


    for(int i = 0;i < y;i++){
        if(s[i] == 'a')
        bra++;
       }

            for(int i = 0;(i < x )&& (braut >= bra);i++){
            if(t[i] =='a'){
            t[i] = '*';
            cenz++;braut--;}
            }

            cout << cenz << endl;

            for(int i = 0;i < x;i++)
            cout << t[i];





    return 0;
}